<? //include('webcamsIndex.php'); ?>


<div class="grid-title">🔥 Trending Models</div>
<div class="model-grid">
<?php foreach ($models as $m): ?>
    <div class="model-gridcell">
        <div class="preview" 
            data-site="<?= $m['site'] ?>" 
            data-nickname="<?= $m['nickname'] ?>" 
            data-featured="<?= !empty($m['featured']) ? 1 : 0 ?>">

            <?php if (!empty($m['featured'])): ?>
                <div class="label-featured">🔥 Featured</div>
            <?php endif; ?>

            <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>" 
                title="<?= $m['title'] ?>" <?= \Avos\User\getNextMeta() ?>>
                <img 
                    data-src="<?= ($m['numImages'] > 0 && empty($useLiveImages)) ? $m['imagePath'] . $m['numImages'] . '.webp' : $m['imageUrl'] ?>" 
                    live-src="<?= $m['imageUrl'] ?>" 
                    class="img lazy" 
                    title="<?= $m['nickname'] ?>" 
                    loading="lazy"
                    onerror="this.onerror=null;">
            </a>
        </div>

        <div class="info-wrapper">
            <div class="name"><?= substr($m['nickname'], 0, 12) ?></div>
            <div class="attr"><?= $m['age'] ?> 
                <img src="/assets.theme1/images/<?= $m['gender'] ?>-icon.svg" width="12" height="12">
            </div>
            <div class="sub"><?= truncate($m['subject'], 40) ?></div>
            <div class="info">
                Trending Rank: <?= $m['rank'] ?> <br>
                <?= $m['viewers'] ?> viewers
            </div>
        </div>
    </div>
<?php endforeach; ?>
</div>
